BUMP(1)

NAME
ltp-bump - send signal to tags run by ltp-pan

SYNOPSIS
ltp-bump [-1] [-s sig] [-a active-file] [tags...]

DESCRIPTION

Bump will send a SIGINT signal to processes, given that each process has a corresponding tag in an active-file. The active-file is the same one that is used by the ltp-pan to start the processes.

If the active file has multiple occurrences of a single tag name then only the first process will be signaled. You may specify the tag name multiple times on the commandline if necessary.

-1  Send a SIGUSR1 signal. By default a SIGINT will be sent.

-a active_file
    A file containing the tagnames, pids, and commands being run by a ltp-pan. If this is not specified then the ZOO environment variable will be read for the name of the directory where the active file can be found.

-s sig
    Used to specify a signal number to send. By default a SIGINT will be sent.

ENVIRONMENT

ZOO If set, should name the directory where the active file can be found. This is ignored if -a is specified.

FILES

active
    Default name of active file if -a is not specified. This is prefixed by the directory name found in the ZOO environment variable.

SEE ALSO
Zoo tools - ltp-pan(1)

DIAGNOSTICS
Exits zero, unless it cannot find the active file or if there were no tags listed on the commandline.